-- 其他的相关配置
local Other = {
	-- 活跃福利已完成颜色
	["OverFontColor"] = 0xff7fff00,
	-- 活跃福利除了已完成颜色
	["OtherFontColor"] = 0xfff7f6ab,
}

--按钮显示顺序以配置为准
--以下ID为程序对应key值不能更改
--福利活动:			0
--排行榜:			1
--衣柜:				2
--网页1:3.改成页面中心。
--大侠传:			4
--挂机:				5
--寻宝:				6
--超值豪礼:			7
--拍卖行:			8
--我要变强:			9
--天降福禄:			10
--开服争霸:			11
--18变:				12
--开服目标:13。改成开服活动
--成长基金:			14
--欢乐街:			15
--骰子游戏:			16
--多米诺兑换商店:	17
--龙魂商店:			18
--内功:				19
--小地图开关:		20
--登录提示:			21
--新春豪侠令:		22
--智取威虎山:		23
--战旗争霸:			24
--跨服战旗争霸:		25
--挑战副本入口:		26
--任务集会所:		27
--帮派帮战：		28
--外敌入侵: 		29
--豪礼回归:			30
--月卡:				31
--德州衣柜:			32
--英文日常图标:		33
--英文活动图标:		34
--英文交易图标:		35
--名望:			37
--跨服家族赛:		38
--视频				39
--德州抽奖          41
--南宫				42
--VIP				44
--SNG				46
--好友房			47
--小火箭			50
--掉钱服-金币找回	48
--掉钱服-系统预告	49
--善恶榜			51
--微端资源主动下载入口 53
--锦鲤			52
local PanelKey = {
	-- 隐藏按钮偏移
	["HideBtnOffsetX"] = 250,
	-- 隐藏按钮偏移
	["HideBtnOffsetY"] = 0,
	-- 隐藏按钮偏移
	["WindowOffsetX"] = 0,
	-- 隐藏按钮偏移
	["WindowOffsetY"] = 0,
	-- Default 默认显示不隐藏的个数（从0开始）
	["Default"] = 0,
	["Count"] = 25,
	
	[0] = 1,
	[1] = 2,
	[2] = 4,
	[3] = 6,
	[4] = 3,
	[5] = 42,
	[6] = 22,
	[7] = 31,
	[8] = 15,
	[9] = 23,
	[10] = 36,--新增安全防护
	[11] = 34,
	[12] = 24,
	[13] = 12,
	[14] = 10,
	[15] = 25,
	[16] = 32,
	[17] = 30,
	[18] = 39,
	[19] = 41,
	[20] = 43,
	[21] = 47,
	[22] = 51,
	[23] = 52,
	[24] = 53,
}

-- 按钮的相关属性 [] 里为上述对应key值
local PanelData = {
	--微端资源下载
	[53] = {
		-- 是否默认开启
		["DefaultShow"] = false,
		-- 按钮Ani
		["ImgAni"] = "fenbaoxiazai_btn1",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "",	
		-- 按钮Tip
		["Tip"] = "STR_MICRO_RES_DOWNLOAD_TIP",
	},
	--锦鲤
	[52] = {
		-- 老兵服不上
		["OldsoldierServer"] = 1,
		-- 普通服不上
		["NormalServer"] = 1,
		["CoinsSvrLev"] = 110,
		["CoinsSvrMete"] = 2,
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "kaifujinli_btn1",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
	},
	--善恶榜
	[51] = {
		-- 是否默认开启
		-- ["DefaultShow"] = 1,
		["OldsoldierServer"] = 1,
		["NormalServer"] = 1,
		["CoinsSvrLev"] = 15,
		["CoinsSvrMete"] = 2,
		-- 按钮Ani
		["ImgAni"] = "diaoqianfu_btn2",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		--["ChildIcon"] = "",
	},
	--系统预告
	-- [49] = {
	-- 	-- 是否默认开启
	-- 	["DefaultShow"] = 1,
	-- 	-- 按钮Ani
	-- 	["ImgAni"] = "gongnengyugao_btn1",
	-- 	["ImgAniOffsetX"] = 0,
	-- 	["ImgAniOffsetY"] = 0,
	-- 	-- 按钮FgAni(红点等覆盖图片)
	-- 	["FGAni"] = "",
	-- 	["FGAniOffsetX"] = 35,
	-- 	["FGAniOffsetY"] = 0,
	-- 	-- 按钮覆盖特效
	-- 	["FGEffect"] = "",
	-- 	["FGEffectLoop"] = 1,
	-- 	["FGEffectOffsetX"] = 48,
	-- 	["FGEffectOffsetY"] = 12,
	-- 	-- 按钮Ani特效
	-- 	["AniEffect"] = "",
	-- 	-- 按钮Tip
	-- 	["Tip"] = "",
	-- 	--["ChildIcon"] = "",	
	-- },
	--金币找回
	[48] = {
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "diaoqianfu_btn3",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		--["ChildIcon"] = "",	
	},
	--日常
	[33] = {
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "Main_AriBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		--这个最后面的逗号一定要有
		-- ["ChildIcon"] = "",
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,",
	},
	--活动
	[34] = {
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "Main_AciMBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 11,
		["FGEffectOffsetY"] = -13,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		["ChildIcon"] = "4,27,29,9,26,5,",
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,",
	},
	--交易
	[35] = {
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "Main_AjiaoMBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		-- ["ChildIcon"] = "",
	},
	--诸侯战争
	[40] = {
		-- 老兵服屏蔽
		["OldsoldierServer"] = 1,
		["CoinsServer"] = 1, -- 掉钱服屏蔽
		-- 是否默认开启
		["DefaultShow"] = 0,
		-- 按钮Ani
		["ImgAni"] = "ZHWar_Btn16",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 开启等级
		["Lev"] = 130,
		-- 开启转世
		["Metempsychosis"] = 2,
	},
	--名望
	[37] = {
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "JiangHuFame_Btn2",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
	},
	--跨服家族赛
	[38] = {
		-- 按钮Ani
		["ImgAni"] = "homels_2btn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 跨服禁止的Tip
		["CrossServerTip"] = "",
	},
	--视频:39
	[39] = {
		-- 按钮Ani
		["ImgAni"] = "VideoFP_2Btn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffectAlwaysOffsetX"] = 32,
		["FGEffectAlwaysOffsetY"] = 27,
		["CrossServer"] = 0,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,",
	},
	--南宫
	[42] = {
		-- 是否默认开启
		["DefaultShow"] = 0,
		-- 按钮Ani
		["ImgAni"] = "NanGong_Btn14",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
	},
	--VIP
	-- [44] = {
		-- ["OldsoldierServer"] = 1, -- 老兵服屏蔽
		-- ["CoinsServer"] = 1, -- 掉钱服屏蔽
		-- -- 是否默认开启
		-- ["DefaultShow"] = 1,
		-- -- 按钮Ani
		-- ["ImgAni"] = "VIP_Btn1",
		-- ["ImgAniOffsetX"] = 0,
		-- ["ImgAniOffsetY"] = 0,
	-- },
	--福利活动:0
	[0] = {
		-- 按钮Ani
		["ImgAni"] = "Operating_WelfareBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 跨服禁止的Tip
		["CrossServerTip"] = "",
	},
	--排行榜:1
	[1] = {
		["CoinsSvrLev"] = 110,
		["CoinsSvrMete"] = 2,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 2,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 110,
		-- 按钮Ani
		["ImgAni"] = "Score_TopBBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
	--衣柜:2
	[2] = {
		["CoinsSvrLev"] = 50,
		["CoinsSvrMete"] = 0,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 0,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 50,
		-- 按钮Ani
		["ImgAni"] = "CoatStor_IconBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "WingStor_NewPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",             --修改部分
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 10,
		["FGEffectOffsetY"] = 0,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
	--网页1:3
	[3] = {
		["CoinsSvrLev"] = 95,
		["CoinsSvrMete"] = 1,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 1,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 95,
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "ActivityCenter_AyemianBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,",
		-- 按钮打开界面后相对按钮的偏移
		["DlgOffsetX"] = -120,
		["DlgOffsetY"] = 50,
		--子按钮间隔
		-- ["GroupBtnOffsetX"] = 0,
		-- ["ChildIcon"] = "17,",
	},
	--大侠传:4
	[4] = {
		-- 普通服屏蔽
		["NormalServer"] = 1,
		-- 按钮Ani
		["ImgAni"] = "Stage_HerosBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 按钮Ani特效
		["AniEffect"] = "Finger",
		["AniEffectExr"] = 1,
		-- 按钮Tip
		["Tip"] = "STR_COMPLETE_STAGE_GOAL_TIP",
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
	--挂机:5
	[5] = {
		-- 老兵服几转
		["OldSoldierSvrMete"] = 0,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 20,
		["CoinsSvrLev"] = 20,
		["CoinsSvrMete"] = 0,
		-- 按钮Ani
		["ImgAni"] = "AM_Automatic",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
--寻宝:6
	[6] = {
		["CoinsSvrLev"] = 30,
		["CoinsSvrMete"] = 0,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 0,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 30,
		-- 按钮Ani
		["ImgAni"] = "Taoyuan_XunbaoBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
--超值豪礼:7
	[7] = {
		["CoinsSvrLev"] = 50,
		["CoinsSvrMete"] = 0,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 0,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 50,
		-- 开启等级
		["Lev"] = 15,
		-- 开启转世
		["Metempsychosis"] = 0,
		-- 按钮Ani
		["ImgAni"] = "GoodManners_GoodMannersBtn",
		["ImgAniOffsetX"] = 2,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "sl_chaozhi",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 3,
		["FGEffectOffsetY"] = 3,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
--拍卖行:8
	[8] = {
		-- 按钮Ani
		["ImgAni"] = "GlobalAuction_rukoupic",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
	},
--我要变强:9
	[9] = {
		["CoinsSvrLev"] = 95,
		["CoinsSvrMete"] = 1,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 1,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 95,
		-- 按钮Ani
		["ImgAni"] = "IWTBstrongBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
--天降福禄:10
	[10] = {
		-- 按钮Ani
		["ImgAni"] = "FullSerDraw_TJFLBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "happybtn",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 30,
		["FGEffectOffsetY"] = 20,
		-- 天降福禄按钮上文本偏移
		["TextOffsetX"] = 0,
		["TextOffsetY"] = 0,
		-- 天降福禄倒计时特效
		["CountAni"] = "CountB%c",
		["CountSize"] = 50,
		["CountScaleX"] = 0.3,
		["CountScaleY"] = 0.25,
		["CountOffsetX"] = 10000,
		["CountOffsetY"] = 40,
	},
--开服争霸:11
	[11] = {
		-- 按钮Ani
		["ImgAni"] = "FFhegemonyBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Jabali_RedtipsPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
	},
--18变:12
	[12] = {
		-- 按钮Ani
		["ImgAni"] = "DragonSoulTaskBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮持续特效（自始至终显示）
		--["FGEffectAlways"] = "sl_chaozhi",
		--["FGEffectAlwaysOffsetX"] = 3,
		--["FGEffectAlwaysOffsetY"] = 3,
		-- 18变文本偏移
		["TextOffsetX"] = -55,
		["TextOffsetY"] = 55,
		-- 18变时间更新间隔（秒）
		["UpdateTime"] = 60,
	
	},
--开服目标:13
	[13] = {
		-- 老兵服屏蔽
		["OldsoldierServer"] = 1,
		["CoinsServer"] = 1, -- 掉钱服屏蔽
		-- 按钮Ani
		["ImgAni"] = "KFMBBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Jabali_RedtipsPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
	},
--成长基金:14
	[14] = {
		-- 按钮Ani
		["ImgAni"] = "GrowthFundBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
	},
--欢乐街:15
	[15] = {
		-- 按钮Ani
		["ImgAni"] = "Dentrance_DentranceBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffectAlways"] = "xindnew",
		["FGEffectAlwaysOffsetX"] = 33,
		["FGEffectAlwaysOffsetY"] = 13,
		--给那个感叹号光效用的，可以单独配置偏移
		["FGEffectOffsetX2"] = 40,
		["FGEffectOffsetY2"] = 0,		
		["CrossServer"] = 1,
	},
--骰子游戏:16
	[16] = {
		-- 按钮Ani
		["ImgAni"] = "Betting_RdiceBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffectAlways"] = "",
		["FGEffectAlwaysOffsetX"] = 3,
		["FGEffectAlwaysOffsetY"] = 3,
		["CrossServer"] = 1,
		-- 在指定地图可用
		["EnableInMap"] ="4027,4028,4029,4030,4032,4033,4038,4039,4040,4041,1002,3053,",
	},
--聚宝阁:17
	[17] = {
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "main_JbaogeBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffectAlways"] = "",
		["FGEffectAlwaysOffsetX"] = 3,
		["FGEffectAlwaysOffsetY"] = 3,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
--龙魂商店:18
	[18] = {
		-- 按钮Ani
		["ImgAni"] = "Longhun_LonghundhBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 覆盖光效
		["HoverEffect"] = 1,
	},
--内功:19
	[19] = {
		-- 按钮Ani
		["ImgAni"] = "Neigong_MainNeigongBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 按钮Ani特效
		["AniEffect"] = "Finger",
		["AniEffectExr"] = 1,
		-- 按钮Tip
		["Tip"] = "STR_NEW_FUNCTION_NEI_GONG_TIP",
	},
--小地图开关:20
	[20] = {
		-- 按钮Ani
		["ImgAni"] = "ZFminiMap_Map1Btn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "STR_MINI_MAP_TIP",
	},
--登录提示:21
	[21] = {
		-- 按钮Ani
		["ImgAni"] = "Onlineinform_NewsBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
	},
--新春豪侠令
	[22] = {
		-- -- 老兵服几转
		-- ["OldSoldierSvrMete"] = 0,
		-- -- 老兵服等级
		-- ["OldSoldierSvrLev"] = 75,
		-- 按钮Ani
		["ImgAni"] = "AnnWelfare_MainBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 15,
		["FGEffectOffsetY"] = 8,
		-- 按钮Ani特效
		["AniEffect"] = "AnnualEntrance",
		-- 按钮Tip
		["Tip"] = "",
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"

	},
--智取威虎山快速入口:23
	[23] = {
		["CrossServer"] = 1,
		-- 按钮Ani
		["ImgAni"] = "GameMachines_777Btn",
		-- 自动时，显示的按钮
		["ImgAni2"] = "GameMachines_5x3autoBtn",
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "5x3solt", -- 自动转时候的光效
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 26,
		["FGEffectOffsetY"] = 28,
		["FGEffect2"] = "777_end_tb", -- 自动转结束的光效
		["FGEffectLoop2"] = 1,
		["FGEffectOffsetX2"] = 28,
		["FGEffectOffsetY2"] = 30,
		-- 按钮打开界面后相对按钮的偏移
		["DlgOffsetX"] = -60,
		["DlgOffsetY"] = 50,
		--子按钮间隔
		["GroupBtnOffsetX"] = 30,
	},
--战旗争霸:24
	[24] = {
		-- 是否默认开启
		["DefaultShow"] = 0,
		-- 按钮Ani
		["ImgAni"] = "Faction_ZQZBSBtn",
		["ImgAniOffsetX"] = 5,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
	},
--跨服战旗争霸:25
	[25] = {
		-- 是否默认开启
		["DefaultShow"] = 0,
		-- 按钮Ani
		["ImgAni"] = "Faction_KFZQZBSBtn",
		["ImgAniOffsetX"] = 5,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 跨服禁止的Tip
		["CrossServerTip"] = "",
	},
--挑战副本:26
	[26] = {
		["CoinsSvrLev"] = 90,
		["CoinsSvrMete"] = 1,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 1,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 90,
		-- 按钮Ani
		["ImgAni"] = "Main_TiaoZhanBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		-------------------------------------------该处设置元神引导的光效偏移
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 5,
		["FGEffectOffsetY"] = 10,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
--任务集:27
	[27] = {
		-- 老兵服屏蔽
		["OldsoldierServer"] = 1,
		["CoinsServer"] = 1, -- 掉钱服屏蔽
		-- 按钮Ani
		["ImgAni"] = "Main_MissionBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "",
		["FGEffectOffsetX"] = 0,
		["FGEffectOffsetY"] = 0,
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
	
	--外敌入侵
	[29] = {
		["CoinsSvrLev"] = 15,
		["CoinsSvrMete"] = 2,
		-- 老兵服几转
		["OldSoldierSvrMete"] = 2,
		-- 老兵服等级
		["OldSoldierSvrLev"] = 15,
		-- 是否默认开启
		["DefaultShow"] = 1,
		-- 按钮Ani
		["ImgAni"] = "Main_WaiDiRuQinBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "",
		-- 按钮Tip
		["Tip"] = "",
		-- 是否允许跨服使用
		["CrossServer"] = 0,
		-- 跨服禁止的Tip
		["CrossServerTip"] = "STR_INVADE_CROSS_SERVER_FORBID",
	},
	--豪礼回归
	[30] = {
		-- 老兵服屏蔽
		["OldsoldierServer"] = 1,
		-- 按钮Ani
		["ImgAni"] = "Main_HuiGuiHLBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "AnnualEntrance",
		-- 按钮Tip
		["Tip"] = "",
	},
--月卡
	[31] = {
		-- 按钮Ani
		["ImgAni"] = "Main_MonthCardBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 按钮Ani特效
		["AniEffect"] = "AnnualEntrance",
		-- 按钮Tip
		["Tip"] = "",
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"
	},
	--德州衣柜:32
	[32] = {
		-- 按钮Ani
		["ImgAni"] = "Sqyigui_DezhouyiBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 跨服禁止的Tip
		["CrossServerTip"] = "",
		-- 在某些地图隐藏
		["HideInMap"] = "1000,1002,1011,1015,1020,"
	},
	--新增安全防护
	[36] = {
		-- 按钮Ani
		["ImgAni"] = "safe_btn1",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 跨服禁止的Tip
		["CrossServerTip"] = "",
		-- 在某些地图隐藏
		["HideInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,"

	},
	--德州抽奖活动
	[41] = {
		-- 按钮Ani
		["ImgAni"] = "shirkou_Btn2",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 进度提示文字偏移
		["TextOffsetX"] = 10022,
		["TextOffsetY"] = 10036,
	},
	--新转盘抽奖活动
	[43] = {
		-- 按钮Ani
		["ImgAni"] = "xinlunpan_Btn6",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 进度提示文字偏移
		["TextOffsetX"] = 10022,
		["TextOffsetY"] = 10036,
	},
	--MTT赛事
	[45] = {
		-- 按钮Ani
		["ImgAni"] = "mttdating_btn1",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "Operating_PromptPic",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffect"] = "gantanhao",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 48,
		["FGEffectOffsetY"] = 12,
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		["TextOffsetX"] = 0,
		["TextOffsetY"] = 80,
	},
	--SNG
	[46] = {
		-- 按钮Ani
		["ImgAni"] = "xinsng_btn1",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮FgAni(红点等覆盖图片)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffectAlways"] = "",
		["FGEffectAlwaysOffsetX"] = 33,
		["FGEffectAlwaysOffsetY"] = 13,
		--给那个感叹号光效用的，可以单独配置偏移
		["FGEffectOffsetX2"] = 40,
		["FGEffectOffsetY2"] = 0,		
		["CrossServer"] = 1,
	},
	[47] = {
		-- 按钮Ani
		["ImgAni"] = "xintongy_mainbtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- ["EnableInMap"] ="4027,4028,4029,4030,4032,4033,4034,4038,4039,4040",
		-- 在某些地图隐藏
		-- ["HideInMap"] = "1002,1000,1011,1015,1020,1036,10364,6000,6010,6002,6003,6004,",
		--配置显示该按钮的地图IdDoc。
		["ShowInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,",
		-- 是否允许跨服使用
		["CrossServer"] = 1,
	},
	[50] = {
		-- 按钮Ani
		["ImgAni"] = "xiaohuojian_btn1",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- 按钮覆盖特效
		["FGEffectAlways"] = "xindnew",
		["FGEffectAlwaysOffsetX"] = 0,
		["FGEffectAlwaysOffsetY"] = -20,
		--["EnableInMap"] ="4027,",
		-- 在某些地图隐藏
		-- ["HideInMap"] = "1002,1000,1011,1015,1020,1036,10364,6000,6010,6002,6003,6004,",
		--配置显示该按钮的地图IdDoc。
		["ShowInMap"] = "3053,4027,4028,4029,4030,4032,4033,4034,4038,4039,4040,10741,11591,11592,11593,11594,11595,11596,11597,11598,11599,11600,",
		-- 是否允许跨服使用
		["CrossServer"] = 1,
		-- 配置显示该按钮的地图属性，配置规则是1左移多少位
		-- ["ShowInMapType"] = "1,3,16,18,20,30,42,47,57",
		
	},
}


local function GetPanelKey(id)
	local keyValue = PanelKey[id]

	if (keyValue) then
		return keyValue
	end
	
	return 0
end

local function GetPanelData(id, key)
	local keyValue = PanelData[id][key]

	if (keyValue) then
		return keyValue
	end
	
	if (key == "FGAni" or key == "FGEffectAlways" or key == "HideInMap" or key == "CrossServerTip") then
		return ""
	end
	
	if (string.find(key, "ImgAni") ~= nil or string.find(key, "FGEffect") ~= nil) then
		return ""
	end
	
	if (key == "DefaultShow") then 
		return 1
	end
	
	return 0
end




-- 点击隐藏按钮后会挪动新位置的窗口界面
-- 新位置在GUI里对应窗口的字段x2 y2配置
local ActiveWindow = {
	["count"] = 3,
	["DlgID"] = {
		[0] = 614,
		[1] = 3629,
		[2] = 1124,
		-- [3] = 100002,
	},
}

local function GetActiveWindowCount()
	return ActiveWindow["count"]
end

local function GetActiveWindow(index)
	return ActiveWindow["DlgID"][index]
end

-- 页面中心打开后显示的网页WebIndex-------对应Cn_Res.ini里面STR_PROPAGATE_WEB_URL300配置的地址。
local function GetPageCenterWebIndex()
	return 300
end


-- 按等级是否在在不同服务器显示
local function IsShowInServerByLev(id, mete, lev)
	-- 老兵服
	if UserData_IsOldSoldierServer() then
		local LevValue = PanelData[id]["OldSoldierSvrLev"]
		if LevValue == nil then
			return true
		end
	
		local MeteValue = PanelData[id]["OldSoldierSvrMete"]
		if MeteValue == nil then
			MeteValue = 0
		end
	
		if (mete * 1000 + lev) >= (MeteValue * 1000 + LevValue) then
			return true
		end
		
		return false
	elseif UserData_IsCoinsServer() == true then
		local LevValue = PanelData[id]["CoinsSvrLev"]
		if LevValue == nil then
			return true
		end
	
		local MeteValue = PanelData[id]["CoinsSvrMete"]
		if MeteValue == nil then
			MeteValue = 0
		end
	
		if (mete * 1000 + lev) >= (MeteValue * 1000 + LevValue) then
			return true
		end

		return false
	else
		local LevValue = PanelData[id]["Lev"]
		if LevValue == nil then
			return true
		end
	
		local MeteValue = PanelData[id]["Metempsychosis"]
		if MeteValue == nil then
			MeteValue = 0
		end
	
		if (mete * 1000 + lev) >= (MeteValue * 1000 + LevValue) then
			return true
		end

		return false
	end

	return true
end

-- 获取服务器开服时间id(FunctionLock.lua)
local function GetFunctionUlockId(id)
	-- 豪杰会(外敌入侵)
	if id == 29 then
		return 0-12
	-- 诸侯战争
	elseif id == 40 then
		return 13
	-- 任务集会所
	elseif id == 27 then
		return 14
	-- 副本挑战
	elseif id == 26 then
		return 15
	end
end
-- local function GetFunctionUlockId(id)
          -- return 0
-- end
--------------------根据服务器类型显示，下面函数原先大侠转是老兵新服显示，现在根据情况做显示

-- 根据服务器类型显示
local function IsShowBySeverType(id)
	if UserData_IsOldSoldierServer() == true then
		-- 大侠传在老兵新服显示
		if id == 4 then
			if UserData_IsNewServer() == true then
				return true
			end
			return false
		end
		local keyValue = PanelData[id]["OldsoldierServer"]
		if keyValue ~= nil then
			if keyValue == 1 then
				return false
			end
		end
		return true
	elseif UserData_IsCoinsServer() == true then
		local keyValue = PanelData[id]["CoinsServer"]
		if keyValue ~= nil then
			if keyValue == 1 then
				return false
			end
		end
		return true 
	else
		-- 其它服务器类型都统一用NormalServer 有需要可以再加配置
		local keyValue = PanelData[id]["NormalServer"]
		if keyValue ~= nil then
			if keyValue == 1 then
				return false
			end
		end
		return true 
	end
	return true
end

-- 获取大侠转配置文件名
local function GetStageGoalFileName()
	-- 老兵服
	if UserData_IsOldSoldierServer() == true then
		return "ini/StageGoal.dat"
	-- 掉钱服
	elseif UserData_IsCoinsServer() == true then
		return "ini/StageGoalCoins.dat"
	end

	return "ini/StageGoal.dat"
end

-- 是否加载大侠传配置
local function IsLoadStageGoald()
	-- 大侠传
	return IsShowBySeverType(4)
end

local MinimapAreaPanel = {
    GetPanelKey = GetPanelKey,
	GetPanelData = GetPanelData,
	GetActiveWindow = GetActiveWindow,
	GetActiveWindowCount = GetActiveWindowCount,
	GetPageCenterWebIndex = GetPageCenterWebIndex,
	IsShowBySeverType = IsShowBySeverType,
	IsShowInServerByLev = IsShowInServerByLev,
	GetFunctionUlockId = GetFunctionUlockId,
	GetStageGoalFileName = GetStageGoalFileName,
	IsLoadStageGoald = IsLoadStageGoald,
    Unload = Unload,
}

-- global
MinimapAreaPanel_GetPanelKey = MinimapAreaPanel.GetPanelKey
MinimapAreaPanel_GetPanelData = MinimapAreaPanel.GetPanelData
MinimapAreaPanel_GetActiveWindow = MinimapAreaPanel.GetActiveWindow
MinimapAreaPanel_GetActiveWindowCount = MinimapAreaPanel.GetActiveWindowCount
MinimapAreaPanel_GetPageCenterWebIndex = MinimapAreaPanel.GetPageCenterWebIndex
MinimapAreaPanel_IsShowBySeverType = MinimapAreaPanel.IsShowBySeverType
MinimapAreaPanel_IsShowInServerByLev = MinimapAreaPanel.IsShowInServerByLev
MinimapAreaPanel_GetFunctionUlockId = MinimapAreaPanel.GetFunctionUlockId
MinimapAreaPanel_GetStageGoalFileName = MinimapAreaPanel.GetStageGoalFileName
MinimapAreaPanel_IsLoadStageGoald = MinimapAreaPanel.IsLoadStageGoald
MinimapAreaPanel_Unload = MinimapAreaPanel.Unload

return MinimapAreaPanel
